Welcome, Guest. Please login or register. Did you miss your activation email?

Author Topic: Linker Error when trying to use the 64 bit version of SFML  (Read 2015 times)

0 Members and 1 Guest are viewing this topic.

StormWingDelta

  • Sr. Member
  • ****
  • Posts: 365
    • View Profile
Linker Error when trying to use the 64 bit version of SFML
« on: February 23, 2015, 03:12:57 am »
Error   1       error LNK1112: module machine type 'x64' conflicts with target machine type 'X86'       c:\Users\owner\documents\visual studio 2013\Projects\SpaceFighterRTS\SpaceFighterRTS\sfml-graphics-s.lib(Color.cpp.obj) SpaceFighterRTS

 

Didn't think I'd be getting this type of error.  I've tried to solve it on my own but got no clue what's up.  I was trying to use the 64 bit version of SFML a moment ago or at least I could have sworn it should have been the 64 bit version.  In any event has anyone run into this while trying to use it? 



for the 32 bit version I'm having another migraine.

Error   1       error LNK2038: mismatch detected for '_ITERATOR_DEBUG_LEVEL': value '0' doesn't match value '2' in SpaceFighterRTS.obj  c:\Users\owner\documents\visual studio 2013\Projects\SpaceFighterRTS\SpaceFighterRTS\sfml-system-s.lib(String.cpp.obj)  SpaceFighterRTS
Error   2       error LNK2038: mismatch detected for 'RuntimeLibrary': value 'MD_DynamicRelease' doesn't match value 'MDd_DynamicDebug' in SpaceFighterRTS.obj  c:\Users\owner\documents\visual studio 2013\Projects\SpaceFighterRTS\SpaceFighterRTS\sfml-system-s.lib(String.cpp.obj)  SpaceFighterRTS
 

This repeats over and over for the other parts of the lib and if I change to 64bit mode I get the same error as the 64 bit one but in reverse.  No idea what is going on here either. :(
I have many ideas but need the help of others to find way to make use of them.

Laurent

  • Administrator
  • Hero Member
  • *****
  • Posts: 32504
    • View Profile
    • SFML's website
    • Email
Re: Linker Error when trying to use the 64 bit version of SFML
« Reply #1 on: February 23, 2015, 07:50:29 am »
Quote
Didn't think I'd be getting this type of error.  I've tried to solve it on my own but got no clue what's up.
You can't use 64 bits libraries in a 32 bits project.

Quote
for the 32 bit version I'm having another migraine.
Use debug libs in debug mode.

Please read the tutorials. They answer all your questions (even the one in your other thread about linking order).
Laurent Gomila - SFML developer

eXpl0it3r

  • SFML Team
  • Hero Member
  • *****
  • Posts: 10390
    • View Profile
    • development blog
    • Email
AW: Linker Error when trying to use the 64 bit version of SFML
« Reply #2 on: February 23, 2015, 07:57:43 am »
And if the tutorial don't get to you, read the FAQ. This exact error has a dedicated section in the FAQ.
Official FAQ: https://www.sfml-dev.org/faq.php
Official Discord Server: https://discord.gg/nr4X7Fh
——————————————————————
Dev Blog: https://dev.my-gate.net/

StormWingDelta

  • Sr. Member
  • ****
  • Posts: 365
    • View Profile
Re: Linker Error when trying to use the 64 bit version of SFML
« Reply #3 on: February 23, 2015, 03:13:13 pm »
Quote
Didn't think I'd be getting this type of error.  I've tried to solve it on my own but got no clue what's up.
You can't use 64 bits libraries in a 32 bits project.
That's the strange thing I was using the 64bit libs in what should have been a 64bit project.  Must have missed something somewhere without knowing it.

Can find .Net's place to change between 32 and 64 bit just fine and thought I had found C++'s in Visual Studio 2013 as well but it seems not.  ???
I have many ideas but need the help of others to find way to make use of them.

 

anything